Subject: Re: [manet] Comments on OLSR: ** ALL destinations **

From: "Teco Boot" <[email-masked]>
Date: Tue, 9 Sep 2008 00:32:48 +0200

Hi Chris,

I am looking for a (standard...) MANET protocol that has the capability to
scope flooding.
In my use case, scooping is not harmful, because for "far away nodes"
reachability, a backbone is to be used, with NEMO (or similar) technology.
Your answer disqualifies OLSR as a candidate protocol. Maybe we should think
again on this restriction.

Another thought, I think it makes sense to scope based on link metrics, not
on hop count. In this case, it is not the sender to specify how far the
advertisement is flooded, but nodes spreading info via interfaces with low
data rates versus high speed links. The forwarding node could subtract
larger values from hop-limit for the low speed interfaces. Do you think this
is a valid method?

Regards, Teco

> -----Oorspronkelijk bericht-----
> Van: Dearlove, Christopher (UK) [mailto:[email-masked]]
> Verzonden: woensdag 27 augustus 2008 13:01
> Aan: Teco Boot; [email-masked]
> Onderwerp: RE: [manet] Comments on OLSR: ** ALL destinations **
> 
> 
> I'm referring to -07, but I think this is unchanged from -06.
> See Section 5.6, in particular the first bullet point, which
> will ensure that information on all destinations is maintained,
> just some more frequently than others.
> 
> --
> Christopher Dearlove
> Technology Leader, Communications Group
> Networks, Security and Information Systems Department
> BAE Systems Advanced Technology Centre
> West Hanningfield Road, Great Baddow, Chelmsford, CM2 8HN, UK
> Tel: +44 1245 242194  Fax: +44 1245 242124
> 
> BAE Systems (Operations) Limited
> Registered Office: Warwick House, PO Box 87,
> Farnborough Aerospace Centre, Farnborough, Hants, GU14 6YU, UK
> Registered in England & Wales No: 1996687
> 
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf
> Of Teco Boot
> Sent: 28 July 2008 18:43
> To: [email-masked]
> Subject: [manet] Comments on OLSR: ** ALL destinations **
> 
> 
>                *** WARNING ***
> 
> This mail has originated outside your organization,
> either from an external partner or the Global Internet.
>      Keep this in mind if you answer this message.
> 
> All,
> 
> The current (-06) OLSRv2 documents has a contradiction in it.
> It claims that ** each node maintains information about all
> destinations
> **.
> On the other hand, there is the concept of hop limit, this restricts
> prefix
> exchange in the network and it is not longer true that all nodes
> maintain
> information on all destination.
> I think text on this needs adjustment.
> 
> Regards, Teco
> 
> 
> 
> _______________________________________________
> manet mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/manet
> 
> 
> ********************************************************************
> This email and any attachments are confidential to the intended
> recipient and may also be privileged. If you are not the intended
> recipient please delete it from your system and notify the sender.
> You should not copy it or use it for any purpose nor disclose or
> distribute its contents to any other person.
> ********************************************************************

_______________________________________________
manet mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/manet

---

From: Thomas Heide Clausen <[email-masked]>
Date: Tue, 9 Sep 2008 01:50:24 +0200

Hi Teco,

I think that you are confused ;)

There's absolutely nothing preventing you to run OLSRv2 "scope  
limited", i.e. with a hop-limit of (say) 4. Of course, LS information  
will not propagate beyond that limit. Think of it this way: your  
OLSRv2 network as maintained by the protocol is up to hop-limit hops  
from each node generating TCs -- and so of course OLSRv2 will  
maintain routes to "all destinations" up to hop-limit from each node  
and not beyond that.

It's by default supported by OLSRv2 (as it was in RFC3626), so I do  
not think that there are any restrictions that need be re-thought.

Thomas

---

From: "Teco Boot" <[email-masked]>
Date: Tue, 9 Sep 2008 08:14:30 +0200

Hi Thomas,

Yes, current OLSRv2 I-D text confused me.

Thanks for the clear answer. Maybe a small paragraph could be added in the
OLSRv2 document, mentioning TC distribution to ***all destinations*** is not
a strict requirement. 

Is this the same for PacketBB hop-limit, i.e. a node is free to decrement
the value with more than one?

Regards, Teco

> Van: Thomas Heide Clausen [mailto:[email-masked]]
> Verzonden: dinsdag 9 september 2008 1:50
> Aan: Teco Boot
> CC: 'Dearlove, Christopher (UK)'; [email-masked]
> Onderwerp: Re: [manet] Comments on OLSR: ** ALL destinations **
> 
> Hi Teco,
>

---

From: "Dearlove, Christopher (UK)" <[email-masked]>
Date: Tue, 9 Sep 2008 09:38:49 +0100

The current text says that you SHOULDn't do this. That I think 
is the correct level - for most deployments you want/need to
be able to communicate with everyone. But a SHOULD is something
you can break if you know what you are doing, in a special case.

Basing flooding on hop limit is superficially attractive, but I
think flawed. It relies on information that isn't in the message,
and which the sender can't know (the sender will have no idea that
there may be a low bandwidth corner of the network with very large
metrics until it gets TC messages, and this is about sending TC
messages). I think there are some other issues too.

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf
Of Thomas Heide Clausen
Sent: 09 September 2008 00:50
To: Teco Boot
Cc: Dearlove, Christopher (UK); [email-masked]
Subject: Re: [manet] Comments on OLSR: ** ALL destinations **

Hi Teco,

Thomas